### Function

# Gck Session open_async

#### Declaration [src]

    void
    gck_session_open_async (
      GckSlot* slot,
      GckSessionOptions options,
      GTlsInteraction* interaction,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Open a session on the slot. This call will return immediately and complete asynchronously.

#### Parameters

`slot` | `GckSlot`
| The slot to open session on.
| The data is owned by the caller of the function.
`options` | `GckSessionOptions`
| Session options.
`interaction` | `GTlsInteraction`
| Optional interaction for logins or object authentication.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
`user_data` | `gpointer`
| Data to pass to callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.